Bug 1121498 - [Doc] Create Networking article for a Packstack deployment
Summary: [Doc] Create Networking article for a Packstack deployment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Martin Lopes
QA Contact: Summer Long
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 06:12 UTC by Martin Lopes
Modified: 2014-09-04 13:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 13:07:23 UTC


Attachments (Terms of Use)
slong-Review notes (2.03 KB, text/plain)
2014-07-21 06:39 UTC, Summer Long
no flags Details

Description Martin Lopes 2014-07-21 06:12:48 UTC
Create an article that documents the configuration needed to allow instances to be remotely accessible (e.g. SSH) in an all-in-one Packstack deployment.

Comment 3 Summer Long 2014-07-21 06:39:53 UTC
Created attachment 919537 [details]
slong-Review notes

Comment 9 Summer Long 2014-07-28 05:15:54 UTC
Here's the re-review, Martin. cheers, Summer

Title: Use a ':' in the title. Standardise to other article...
-----------------------
Abstract: OpenStack Networking -> OpenStack Networking (neutron)
(set off from Compute networking)
------------------------
Abstract: Should add a <note> that this article builds on/requires a PackStack installation, and refer to the 'Evaluating OpenStack: Single-Node Deployment' article. Move 'disable NetworkManager' up to this note, because it's dealt with  there.
-----------------------
Diagram: Should the name br-ex be have the label 'bridge' since all the other labels talk about 'things' and not names as well?
-----------------------
Still needs clarity in the intro. Perhaps just add to the beginning of the second sentence. "After using the steps in this article," or something like that.
-----------------------
"...allows Networking traffic..." -> either "OpenStack Networking" or "networking"
'Networking' isn't a name.
-----------------------
'# source keystonerc_admin' will only work if you're in the /root directory?

Comment 13 Summer Long 2014-08-01 01:21:02 UTC
Looks like the abstract doesn't appear anywhere near the main body. So you can't depend on it to provide intro info. 
* Need to use numbered headers (because the whole thing is a procedure).  
* "Networking" -> "OpenStack Networking"
* Would make the image smaller (need to use HTML instead of markdown)
* List in Overview needs to be placed into a bullet list. 
* 'Note' in 'Recreate the network topology..' should probably be placed at the end of the section. Looks strange on top in markdown.
* Headers are sentence style (RH/OpenStack uses using upper-case). Sorry, just noticed this one.
* Generate a security keypair -> intro sounds like you're talking about the previous procedure.

Comment 15 Summer Long 2014-08-05 06:29:08 UTC
Thanks, Martin. Final nits:
* ip -> IP
* Note -> Note:
* <guilabel> items (for example, Network Topology) probably get a bold in markdown; the team needs to decide on our markdown convention for all the common tags. For example,  <literal> items? I ended up using 'item' in the first article. They do need something. You used italics for neutron (and nothing in other places), and " " for private_network, and nothing for public_subnet. Just need to make it consistent.

Comment 16 Martin Lopes 2014-08-05 06:37:28 UTC
Updated draft


Note You need to log in before you can comment on or make changes to this bug.